Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Platform » PDE: Cipher cannot be resolved
PDE: Cipher cannot be resolved [message #327938] Thu, 08 May 2008 17:05 Go to next message
Eclipse User
Originally posted by: vlalan.csc.com

Hi,

I am trying to build my application using PDE build . One of the plugins
uses java cryptographic classes like
javax.crypto.Cipher.
While compiling this plugin through elipse PDE, I get
an error that says "javax.crypto.Cipher cannot be resolved to a type". The
java version used is JDK5 and JAVA_HOME points to jdk5/jre which has
jce.jar in lib directory. So, I assume that elipse should pick up the
cryptographic classes.

I am also sure that the PDE Build runs on jre 1.5 since we have a number
of java 5 features of EMF and the build was running successfully earlier

I am wondering why PDE cannot pick up these classes now?

Any help is highly appreciated!!

Thanks
Vipul
Re: PDE: Cipher cannot be resolved [message #503810 is a reply to message #327938] Tue, 15 December 2009 11:40 Go to previous message
Matthew Trees is currently offline Matthew Trees
Messages: 16
Registered: July 2009
Junior Member
I had a similar problem with a headless PDE build I have for an RCP application (product file based). In the build.properties file I added jce.jar to the JRE location to compile against.

JavaSE-1.6=${java.home}/lib/rt.jar;${java.home}/lib/jsse.jar ;${java.home}/lib/jce.jar

Previous Topic:Plugin Versioning
Next Topic:new version cvs do not recursive
Goto Forum:
  


Current Time: Fri Aug 29 16:33:07 EDT 2014

Powered by FUDForum. Page generated in 0.10492 seconds